---
lang: en
title: 'API docs: openapi-spec-builder.builderbase.withextension'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-spec-builder
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.builderbase.withextension.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [BuilderBase](./openapi-spec-builder.builderbase.md) &gt; [withExtension](./openapi-spec-builder.builderbase.withextension.md)

## BuilderBase.withExtension() method

Add a custom (extension) property to the spec object.

**Signature:**

```typescript
withExtension(key: string, value: any): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | string | The property name starting with "x-". |
|  value | any | The property value. |

**Returns:**

this


